=== debian/changelog ===
ismrmrd (1.2.3-2build2) wily; urgency=medium

  * No-change rebuild for hdf5 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Oct 2015 12:21:44 +0000

ismrmrd (1.2.3-2build1) wily; urgency=medium

  * No-change rebuild against libpugixml1v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 12:18:59 +0200

ismrmrd (1.2.3-2) unstable; urgency=medium

  * Make package build reproducible.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 02 Jul 2015 18:33:32 +0100

ismrmrd (1.2.3-1) unstable; urgency=medium

  * New upstream release. 

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 18 Jun 2015 17:19:20 +0100

ismrmrd (1.2.1-1) unstable; urgency=low

  * Initial release (Closes: #732360)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 20 Feb 2015 16:28:54 +0000
