## ismrmrd 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -50,10 +50,10 @@
 #the flexible header. The micro number changes when there are small changes
 #in the utility libraries, that don't affect the data format itself.
 set(ISMRMRD_VERSION_MAJOR 1)
-set(ISMRMRD_VERSION_MINOR 2)
-set(ISMRMRD_VERSION_PATCH 3) 
-
-set(ISMRMRD_XML_SCHEMA_SHA1 "99a63f4e8cf08ffc268f5ee8b8c8b2a1edf69412")
+set(ISMRMRD_VERSION_MINOR 3)
+set(ISMRMRD_VERSION_PATCH 2)
+
+set(ISMRMRD_XML_SCHEMA_SHA1 "9b899c6ad806bc2388c70461d6e5affe5cc6d750")
 
 #Remove line breaks and white space that does not change the meaning of the schema
 file(STRINGS ${CMAKE_SOURCE_DIR}/schema/ismrmrd.xsd SCHEMA_STRINGS) #Read all strings from file 
@@ -91,6 +91,19 @@
 set(ISMRMRD_VERSION_STRING ${ISMRMRD_VERSION_MAJOR}.${ISMRMRD_VERSION_MINOR}.${ISMRMRD_VERSION_PATCH})
 set(ISMRMRD_SOVERSION ${ISMRMRD_VERSION_MAJOR}.${ISMRMRD_VERSION_MINOR})
 
+# Find HDF5 for dataset support
+find_package(HDF5 1.8 COMPONENTS C)
+
+if (HDF5_FOUND)
+    set (ISMRMRD_DATASET_SUPPORT true)
+    set (ISMRMRD_DATASET_SOURCES libsrc/dataset.c libsrc/dataset.cpp)
+    set (ISMRMRD_DATASET_INCLUDE_DIR ${HDF5_C_INCLUDE_DIR})
+    set (ISMRMRD_DATASET_LIBRARIES ${HDF5_LIBRARIES})
+else (HDF5_FOUND)
+    set (ISMRMRD_DATASET_SUPPORT false)
+    message (WARNING "HDF5 not found. Dataset and file support unavailable!")
+endif (HDF5_FOUND)
+
 # Generate the version.h header file
 find_package(Git)
 if (GIT_FOUND)
@@ -111,43 +124,35 @@
 # remember to add ${CMAKE_BINARY_DIR}/include to the include path
 
 #  ---   VERSIONING  (end) ----
- 
+
 #  ---   Main Library  (begin) ----
-# required packages for main library
-find_package(HDF5 1.8 COMPONENTS C REQUIRED)
-
 # in windows, install the HDF5 dependencies
-if (WIN32)
-    if (ISMRMRD_INSTALL_DEPENDENCIES)
-        if ( HDF5_FOUND )
-            if(DEFINED ENV{HDF5_ROOT})
-                set(HDF5_BIN_DIR $ENV{HDF5_ROOT}/bin)
-            else (DEFINED ENV{HDF5_ROOT})
-                set(HDF5_BIN_DIR ${HDF5_C_INCLUDE_DIR}/../bin)
-            endif (DEFINED ENV{HDF5_ROOT})
-            message("Install hdf5 libraries from ${HDF5_BIN_DIR} ")
-            install( DIRECTORY ${HDF5_BIN_DIR} DESTINATION bin/.. FILES_MATCHING PATTERN "*.dll" )
-        endif (HDF5_FOUND)
-    endif (ISMRMRD_INSTALL_DEPENDENCIES)
-endif (WIN32)
+if (HDF5_FOUND AND WIN32 AND ISMRMRD_INSTALL_DEPENDENCIES)
+    if(DEFINED ENV{HDF5_ROOT})
+        set(HDF5_BIN_DIR $ENV{HDF5_ROOT}/bin)
+    else (DEFINED ENV{HDF5_ROOT})
+        set(HDF5_BIN_DIR ${HDF5_C_INCLUDE_DIR}/../bin)
+    endif (DEFINED ENV{HDF5_ROOT})
+    message("Install hdf5 libraries from ${HDF5_BIN_DIR} ")
+    install( DIRECTORY ${HDF5_BIN_DIR} DESTINATION bin/.. FILES_MATCHING PATTERN "*.dll" )
+endif (HDF5_FOUND AND WIN32 AND ISMRMRD_INSTALL_DEPENDENCIES)
 
 # include directories for main library
 set(ISMRMRD_TARGET_INCLUDE_DIRS
   include
   ${CMAKE_BINARY_DIR}/include
-  ${HDF5_C_INCLUDE_DIR}
+  ${ISMRMRD_DATASET_INCLUDE_DIR}
 )
 
 set(ISMRMRD_TARGET_SOURCES
   libsrc/ismrmrd.c
   libsrc/ismrmrd.cpp
-  libsrc/dataset.c
-  libsrc/dataset.cpp
   libsrc/xml.cpp
   libsrc/meta.cpp
+  ${ISMRMRD_DATASET_SOURCES}
 )
 
-set(ISMRMRD_TARGET_LINK_LIBS ${HDF5_LIBRARIES})
+set(ISMRMRD_TARGET_LINK_LIBS ${ISMRMRD_DATASET_LIBRARIES})
 
 # optional handling of system-installed pugixml
 if(USE_SYSTEM_PUGIXML)
@@ -183,40 +188,35 @@
 install(DIRECTORY include/ismrmrd  DESTINATION include)
 
 # install the schema file
-install(FILES schema/ismrmrd.xsd
-  DESTINATION share/ismrmrd/schema)
+install(FILES schema/ismrmrd.xsd DESTINATION share/ismrmrd/schema)
 
 # install the cmake modules
-install(FILES
-  cmake/FindIsmrmrd.cmake
-  cmake/FindFFTW3.cmake
-  cmake/FindNumPy.cmake
-DESTINATION
-  share/ismrmrd/cmake
-)
+install(FILES cmake/FindIsmrmrd.cmake cmake/FindFFTW3.cmake DESTINATION share/ismrmrd/cmake)
 
 #  ---   Main Library  (end) ----
-
-# turn on testing
-enable_testing()
 
 # process subdirectories
 add_subdirectory(doc)
-add_subdirectory(examples/c)
+
 add_subdirectory(utilities)
+if (HDF5_FOUND)
+    add_subdirectory(examples/c)
+endif (HDF5_FOUND)
+
+# TODO: make this work on Windows
+if (NOT WIN32)
+    add_subdirectory(tests)
+endif (NOT WIN32)
 
 # install the matlab api
 install(DIRECTORY matlab DESTINATION share/ismrmrd)
-
-# TODO build and install the python bindings
 
 # Create package
 string(TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
 include(${ISMRMRD_CMAKE_DIR}/ismrmrd_cpack.cmake)
 if(CPACK_GENERATOR)
   message(STATUS "Found CPack generators: ${CPACK_GENERATOR}")
-  configure_file("${ISMRMRD_CMAKE_DIR}/cpack_options.cmake.in"
-    ${ISMRMRD_CPACK_CFG_FILE} @ONLY)
+  configure_file("${ISMRMRD_CMAKE_DIR}/cpack_options.cmake.in" ${ISMRMRD_CPACK_CFG_FILE} @ONLY)
   set(CPACK_PROJECT_CONFIG_FILE ${ISMRMRD_CPACK_CFG_FILE})
-  include (CPack)
-endif()
+  include(CPack)
+endif(CPACK_GENERATOR)
