=== debian/changelog ===
ismrmrd (1.3.2-4) unstable; urgency=medium

  * Fix FTBFS due to buggy HDF5 detection with CMake 3.6.
    Thanks to Lucas Nussbaum for reporting. (Closes: #835679)
  * Update description of binary packages.
  * Add missing Section field for some binary packages.
  * Bump standards version to 3.9.8, no changes required.
  * Use HTTPS for Format field in copyright file.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 02 Sep 2016 11:27:37 +0100

ismrmrd (1.3.2-3) unstable; urgency=medium

  * d/rules: add missing maintainer CXXFLAGS.
  * Add packaging testsuite.
  * Add patch fixing compilation of examples with the installed find module.
    File: Use-Debian-CMake-find-module-location
  * Bump standards version to 3.9.7, no changes required.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 05 Mar 2016 17:13:18 +0000

ismrmrd (1.3.2-2) unstable; urgency=medium

  * d/control: use secure VCS-Git URI.
  * Add patch fixing FTBFS in testsuite.
    File: Use-explicit-64-bit-shifts-in-testsuite.patch.
    Thanks to Emilio Pozuelo Monfort (Closes: #802172)
  * Provide examples in doc package.
  * d/control: cme fix, wrap and sort.
  * Fix usage of embedded jquery.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 03 Feb 2016 19:32:00 +0000

ismrmrd (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch queue:
    - Drop fixing-check-after-free-in-unit-tests.patch, applied upstream.
    - Drop cmake-install-docs.patch, now using alternative via d/rules.
    - Rename make-build-reproducible.patch to Disable-HTML-timestamps.patch.
    - Add Explicit-64-bit-shifts-for-flags.patch from upstream, should solve
      issues with failing testsuite on some architectures.
  * Simplify packaging of documentation.
  * d/rules: add call to dh_doxygen.
  * Update copyright information:
    - Add upstream contact.
    - Replace MIT by Expat.
    - Wrap and sort.
  * Add gbp.conf file.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 26 Oct 2015 10:34:42 +0000

ismrmrd (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump soname of shared library package.
  * Enable test suite, requires build dependency on libboost-test-dev.
  * Use stricter hardening.
  * Make documentation targets architecture-independent:
    - d/control: move documentation dependencies to Build-Depends-Indep,
    - d/p/cmake-install-docs.patch: enable installation of documentation,
    - d/*-doc.install: use installation path set by the above patch,
    - d/rules: split older rules to -arch and -indep.
  * Remove jquery symlink in documentation package.
  * Add d/p/fixing-check-after-free-in-unit-tests.patch, fixes an upstream bug
    in the test suite.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 18 Sep 2015 09:44:41 +0100

ismrmrd (1.2.3-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with g++ 5
    Closes: #799107

 -- Andreas Tille <tille@debian.org>  Wed, 16 Sep 2015 08:29:53 +0200
