=== debian/control ===
--- 
+++ 
@@ -2,24 +2,27 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: science
+Testsuite: autopkgtest
 Priority: optional
 Build-Depends: cmake,
                debhelper (>= 9),
-               doxygen,
                libboost-program-options-dev,
+               libboost-test-dev,
                libfftw3-dev,
                libhdf5-serial-dev,
                libpugixml-dev
-Standards-Version: 3.9.6
+Build-Depends-Indep: doxygen
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ismrmrd.git
-Vcs-Git: git://anonscm.debian.org/debian-med/ismrmrd.git 
+Vcs-Git: https://anonscm.debian.org/git/debian-med/ismrmrd.git
 Homepage: http://ismrmrd.github.io/
 
-Package: libismrmrd1.2
+Package: libismrmrd1.3
 Architecture: any
+Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Description: ISMRM Raw Data format (ISMRMRD) - shared library
+Description: ISMRM Raw Data format (ISMRMRD)
  The ISMRMRD format combines a mix of flexible data structures (XML header) 
  and fixed structures (equivalent to C-structs) to represent MRI data.
  .
@@ -34,12 +37,11 @@
 Package: libismrmrd-dev
 Architecture: any
 Section: libdevel
-Depends: ismrmrd-schema,
-         libismrmrd1.2 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ismrmrd-schema,
+         libismrmrd1.3 (= ${binary:Version})
 Suggests: libismrmrd-doc
-Description: ISMRM Raw Data format (ISMRMRD) - development files
+Description: development files for ISMRMRD
  The ISMRMRD format combines a mix of flexible data structures (XML header) 
  and fixed structures (equivalent to C-structs) to represent MRI data.
  .
@@ -54,9 +56,9 @@
 Package: libismrmrd-doc
 Architecture: all
 Section: doc
-Depends: libjs-jquery,
-         ${misc:Depends}
-Description: ISMRM Raw Data format (ISMRMRD) - documentation
+Depends: ${misc:Depends},
+         libjs-jquery
+Description: documentation for ISMRMRD
  The ISMRMRD format combines a mix of flexible data structures (XML header) 
  and fixed structures (equivalent to C-structs) to represent MRI data.
  .
@@ -70,11 +72,11 @@
 
 Package: ismrmrd-tools
 Architecture: any
-Depends: ismrmrd-schema,
-         libismrmrd1.2 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: ISMRM Raw Data format (ISMRMRD) - binaries
+Section: utils
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ismrmrd-schema
+Description: command-line tools for ISMRMRD
  The ISMRMRD format combines a mix of flexible data structures (XML header) 
  and fixed structures (equivalent to C-structs) to represent MRI data.
  .
@@ -84,12 +86,13 @@
  storing less well defined data structures, e.g. coil sensitivity maps or 
  other calibration data.
  .
- This package provides the binaries.
+ This package provides the command-line tools.
 
 Package: ismrmrd-schema
 Architecture: all
+Section: misc
 Depends: ${misc:Depends}
-Description: ISMRM Raw Data format (ISMRMRD) - XML schema
+Description: schema for ISMRMRD
  The ISMRMRD format combines a mix of flexible data structures (XML header) 
  and fixed structures (equivalent to C-structs) to represent MRI data.
  .
