=== debian/tests/control ===
Tests: examples
Depends: build-essential,
         cmake,
         libismrmrd-dev,
         libismrmrd-doc
